rpsc.net
当前位置:首页 >> hiBErnAtE数据库用orAClE 11g,这个配置文件你们公... >>

hiBErnAtE数据库用orAClE 11g,这个配置文件你们公...

没用11g,不过平时我都用的org.hibernate.dialect.OracleDialect

11g的server选择Oracle10gDialect就ok了,其实没有什么实质性差别。 8i和9都继承至Dialect,而9i继承8i,10i继承9i的方言,增加些新的特性,分页代码实现不太一样,不过效率不相上下。

org.hibernate.dialect.OracleDialect 这个适合任何版本的oracle

这个偶没用过,我想无非就帮你创建hibernate.xml吧你可以直接去hibernate.xml中修改啊 下边是随便写在一个类里边的,自己可以放在想要的地方首先你要找

classes12.jar - for Java 1.2 and 1.3 ojdbc14.jar - for Java 1.4 and 1.5 ojdbc5.jar - for Java 1.5 ojdbc6.jar - for Java 1.6 具体的包可以在 oracle安装目录 product/xxx.xx.xx/server/jdbc/lib下面找,

IO异常说明数据库解析不到文件,看看hibernate.cfg.xml位置放错没,放Src下

1 既然你要链接oracle数据库 ,那么首先就是先打开我们的oracle数据库了(登陆oracle后用scoot用户登录) 2 第二步,就是打开我们的MyEclipse开发工具 3 在MyEclipse中新建一个web项目 4 在我们MyEclipse右上角中选择MyEclopse Database Explore...

配置完,手动修改下文件就行呗 可能是版本比较旧的原因

把那个schema写在根元素里面,作为那里面的属性, 试一下,

其他工具能连接上吗,如sqlplus,plsql等 wb这个sid不对吧,你核实下 oracle版本,是不是使用这个jar,需要核实下

网站首页 | 网站地图
All rights reserved Powered by www.rpsc.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com